import request from '@/utils/request'

// 查询常见问题列表
export function listQuestions(query) {
  return request({
    url: '/system/questions/list',
    method: 'get',
    params: query
  })
}

// 查询常见问题详细
export function getQuestions(id) {
  return request({
    url: '/system/questions/' + id,
    method: 'get'
  })
}

// 新增常见问题
export function addQuestions(data) {
  return request({
    url: '/system/questions',
    method: 'post',
    data: data
  })
}

// 修改常见问题
export function updateQuestions(data) {
  return request({
    url: '/system/questions',
    method: 'put',
    data: data
  })
}

// 删除常见问题
export function delQuestions(id) {
  return request({
    url: '/system/questions/' + id,
    method: 'delete'
  })
}
